@Echo Off
Rem ---------------------------------------------------------------------------
Rem JOnAS: Java(TM) Open Application Server
Rem Copyright (C) 1999 Bull S.A.
Rem Contact: jonas-team@objectweb.org
Rem 
Rem This library is free software; you can redistribute it and/or
Rem modify it under the terms of the GNU Lesser General Public
Rem License as published by the Free Software Foundation; either
Rem version 2.1 of the License, or any later version.
Rem 
Rem This library is distributed in the hope that it will be useful,
Rem but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem Lesser General Public License for more details.
Rem 
Rem You should have received a copy of the GNU Lesser General Public
Rem License along with this library; if not, write to the Free Software
Rem Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem USA
Rem
Rem Initial developer(s): Philippe Durieux
Rem Contributor(s): Miroslav Halas 
Rem ---------------------------------------------------------------------------
Rem $Id: jonas.bat,v 1.6 2003/02/07 16:17:21 camillej Exp $
Rem ---------------------------------------------------------------------------

Rem Keep variables local to this script
setlocal

Rem ---------------------------------------------
Rem set environment
Rem JAVA_OPTS may be already partially initialized
Rem ---------------------------------------------
if [%JONAS_ROOT%]==[] goto setroot
Rem JAVA_HOME must be  set since config_env.bat requires it for tools.jar
if [%JAVA_HOME%]==[] goto setjava
call %JONAS_ROOT%\bin\nt\setenv.bat
call %JONAS_ROOT%\bin\nt\config_env.bat
set JONAS_LIB=%JONAS_ROOT%\lib

Rem jonas classes
Set CLASSPATH=%JONAS_ROOT%\lib\common\ow_jonas_bootstrap.jar;%CLASSPATH%

Rem JAVA_OPTS may be already partially initialized
set JAVA_OPTS=%JAVA_OPTS% -Dinstall.root=%JONAS_ROOT% -Djava.security.policy=%JONAS_ROOT%\config\java.policy -Dobjectweb.orb=%OBJECTWEB_ORB% -Djonas.classpath=%XTRA_CLASSPATH% -Djonas.default.classloader=true

Rem ---------------------------------------------
Rem Get args
Rem ---------------------------------------------

if [%1]==[]   goto no_arg

set ARGS=
set MODE=
set JONASNAME=
set NAME_OPT=
set WHERE=background
set COSNAMING_PORT=14727
set COSNAMING_HOST=localhost

:loop_on_args
if [%1]==[start]   goto start_arg
if [%1]==[stop]    goto stop_arg
if [%1]==[admin]   goto admin_arg
if [%1]==[version] goto version_arg
if [%1]==[check]   goto check_arg
if [%1]==[-fg]     goto fg_arg
if [%1]==[-bg]     goto bg_arg
if [%1]==[-win]    goto win_arg
if [%1]==[-n]      goto n_arg
if [%1]==[-cnhost] goto cnhost_arg
if [%1]==[-cnport] goto cnport_arg
set ARGS=%ARGS% %1
goto next_arg

:start_arg
set MODE=start
set CLASS_TO_RUN=org.objectweb.jonas.server.Server
goto next_arg

:stop_arg
set MODE=stop
set CLASS_TO_RUN=org.objectweb.jonas.adm.JonasAdmin -s
goto next_arg

:admin_arg
set MODE=admin
set CLASS_TO_RUN=org.objectweb.jonas.adm.JonasAdmin
goto next_arg

:version_arg
set MODE=version
set CLASS_TO_RUN=org.objectweb.jonas_ejb.lib.Version
goto next_arg

:check_arg
set MODE=check
set CLASS_TO_RUN=org.objectweb.jonas.tools.CheckEnv
goto next_arg

:fg_arg
set WHERE=foreground
goto next_arg

:bg_arg
set WHERE=background
goto next_arg

:win_arg
set WHERE=window
goto next_arg

:n_arg
shift
set JONASNAME=%1
set NAME_OPT=-n %JONASNAME%
set JAVA_OPTS=%JAVA_OPTS% -Djonas.name=%JONASNAME%
goto next_arg

:cnhost_arg
shift
set COSNAMING_HOST=%1
goto next_arg

:cnport_arg
shift
set COSNAMING_PORT=%1
goto next_arg

:next_arg
shift
if not [%1]==[] goto loop_on_args

if [%MODE%]==[] goto no_mode

Rem ---------------------------------------------
Rem Set tomcat/jetty base directory
Rem ---------------------------------------------
set SERVLET_OPTS=
if not [%TOMCAT_HOME%]==[] set SERVLET_OPTS=-Dtomcat.home=%TOMCAT_HOME%
if not [%TOMCAT_BASE%]==[] set SERVLET_OPTS=%SERVLET_OPTS% -Dtomcat.base=%TOMCAT_BASE%
if not [%CATALINA_HOME%]==[] set SERVLET_OPTS=%SERVLET_OPTS% -Dcatalina.home=%CATALINA_HOME%
if not [%CATALINA_BASE%]==[] set SERVLET_OPTS=%SERVLET_OPTS% -Dcatalina.base=%CATALINA_BASE%
if not [%JETTY_HOME%]==[] set SERVLET_OPTS=-Djetty.home=%JETTY_HOME%

Rem ---------------------------------------------
Rem Set options for DAVID
Rem ---------------------------------------------
if %OBJECTWEB_ORB%==DAVID set JAVA_OPTS=%JAVA_OPTS% -Dorg.omg.CORBA.ORBClass=org.objectweb.david.libs.binding.orbs.iiop.IIOPORB -Dorg.omg.CORBA.ORBSingletonClass=org.objectweb.david.libs.binding.orbs.ORBSingletonClass -Djavax.rmi.CORBA.StubClass=org.objectweb.david.libs.stub_factories.rmi.StubDelegate -Djavax.rmi.CORBA.PortableRemoteObjectClass=org.objectweb.david.libs.binding.rmi.ORBPortableRemoteObjectDelegate -Djavax.rmi.CORBA.UtilClass=org.objectweb.david.libs.helpers.RMIUtilDelegate -Ddavid.CosNaming.default_method=0 -Ddavid.rmi.ValueHandlerClass=com.sun.corba.se.internal.io.ValueHandlerImpl -Ddavid.CosNaming.default_host=%COSNAMING_HOST% -Ddavid.CosNaming.default_port=%COSNAMING_PORT%

Rem ---------------------------------------------
Rem Run java command
Rem ---------------------------------------------
set BOOT=org.objectweb.jonas.server.Bootstrap
if not [%MODE%]==[start] goto admin
if %WHERE%==foreground %JAVA% %JAVA_OPTS% %SERVLET_OPTS% %BOOT% %CLASS_TO_RUN%
if %WHERE%==background start /B %JAVA% %JAVA_OPTS% %SERVLET_OPTS% %BOOT% %CLASS_TO_RUN%
set WINDOW_TITLE="%HOSTNAME%:%JONASNAME%"
if %WINDOW_TITLE%==":" set WINDOW_TITLE="JOnAS Server"
if %WHERE%==window start %WINDOW_TITLE% %JAVA% %JAVA_OPTS% %SERVLET_OPTS% %BOOT% %CLASS_TO_RUN%
goto :EOF

:admin
%JAVA% %JAVA_OPTS% %SERVLET_OPTS% %BOOT% %CLASS_TO_RUN% %NAME_OPT% %ARGS%
goto :EOF

:setroot
echo JONAS_ROOT not set.
goto :EOF

:setjava
echo JAVA_HOME not set.
goto :EOF

:no_mode
echo "No startup mode specified, specify start | stop | admin | version | check"
goto usage

:no_arg
echo No arguments specified.
goto usage

:usage
echo "jonas start | stop | admin | version | check | -fg | -bg | -win | -n | -cnhost | -cnport"
REM TODO: Add here explanation for the arguments
goto :EOF
